Package com.independentsoft.office.word

# Class WordEnumUtil

java.lang.Object
com.independentsoft.office.word.WordEnumUtil

public class WordEnumUtil extends Object
The Class WordEnumUtil.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `parseAbsolutePositionTabAlignment​(AbsolutePositionTabAlignment alignment)`
  Parses the absolute position tab alignment.
  `static AbsolutePositionTabAlignment`
  `parseAbsolutePositionTabAlignment​(String alignment)`
  Parses the absolute position tab alignment.
  `static String`
  `parseAbsolutePositionTabLeader​(AbsolutePositionTabLeader leader)`
  Parses the absolute position tab leader.
  `static AbsolutePositionTabLeader`
  `parseAbsolutePositionTabLeader​(String leader)`
  Parses the absolute position tab leader.
  `static String`
  `parseAbsolutePositionTabPositioningBase​(AbsolutePositionTabPositioningBase relativeTo)`
  Parses the absolute position tab positioning base.
  `static AbsolutePositionTabPositioningBase`
  `parseAbsolutePositionTabPositioningBase​(String relativeTo)`
  Parses the absolute position tab positioning base.
  `static String`
  `parseAnchorLocation​(AnchorLocation anchor)`
  Parses the anchor location.
  `static AnchorLocation`
  `parseAnchorLocation​(String anchor)`
  Parses the anchor location.
  `static String`
  `parseBinaryOperatorBreak​(BinaryOperatorBreak operatorBreak)`
  Parses the binary operator break.
  `static BinaryOperatorBreak`
  `parseBinaryOperatorBreak​(String operatorBreak)`
  Parses the binary operator break.
  `static String`
  `parseBinarySubtractionBreak​(BinarySubtractionBreak subtractionBreak)`
  Parses the binary subtraction break.
  `static BinarySubtractionBreak`
  `parseBinarySubtractionBreak​(String subtractionBreak)`
  Parses the binary subtraction break.
  `static boolean`
  `parseBoolean​(String booleanString)`
  Parses the boolean.
  `static String`
  `parseBreakClear​(BreakClear clear)`
  Parses the break clear.
  `static BreakClear`
  `parseBreakClear​(String clear)`
  Parses the break clear.
  `static String`
  `parseBreakType​(BreakType type)`
  Parses the break type.
  `static BreakType`
  `parseBreakType​(String type)`
  Parses the break type.
  `static String`
  `parseCalendarType​(CalendarType type)`
  Parses the calendar type.
  `static CalendarType`
  `parseCalendarType​(String type)`
  Parses the calendar type.
  `static String`
  `parseCaptionPosition​(CaptionPosition position)`
  Parses the caption position.
  `static CaptionPosition`
  `parseCaptionPosition​(String position)`
  Parses the caption position.
  `static String`
  `parseChapterSeparator​(ChapterSeparator separator)`
  Parses the chapter separator.
  `static ChapterSeparator`
  `parseChapterSeparator​(String separator)`
  Parses the chapter separator.
  `static String`
  `parseChapterSeparatorType​(ChapterSeparatorType type)`
  Parses the chapter separator type.
  `static ChapterSeparatorType`
  `parseChapterSeparatorType​(String type)`
  Parses the chapter separator type.
  `static String`
  `parseCharacterSpacing​(CharacterSpacing spacing)`
  Parses the character spacing.
  `static CharacterSpacing`
  `parseCharacterSpacing​(String spacing)`
  Parses the character spacing.
  `static String`
  `parseCombineBrackets​(CombineBrackets combine)`
  Parses the combine brackets.
  `static CombineBrackets`
  `parseCombineBrackets​(String combine)`
  Parses the combine brackets.
  `static String`
  `parseComplexFieldCharacterType​(ComplexFieldCharacterType type)`
  Parses the complex field character type.
  `static ComplexFieldCharacterType`
  `parseComplexFieldCharacterType​(String type)`
  Parses the complex field character type.
  `static String`
  `parseCryptographicAlgorithmClass​(CryptographicAlgorithmClass algorithmClass)`
  Parses the cryptographic algorithm class.
  `static CryptographicAlgorithmClass`
  `parseCryptographicAlgorithmClass​(String algorithmClass)`
  Parses the cryptographic algorithm class.
  `static String`
  `parseCryptographicAlgorithmType​(CryptographicAlgorithmType type)`
  Parses the cryptographic algorithm type.
  `static CryptographicAlgorithmType`
  `parseCryptographicAlgorithmType​(String type)`
  Parses the cryptographic algorithm type.
  `static String`
  `parseCryptographicProviderType​(CryptographicProviderType type)`
  Parses the cryptographic provider type.
  `static CryptographicProviderType`
  `parseCryptographicProviderType​(String type)`
  Parses the cryptographic provider type.
  `static String`
  `parseDateMappingType​(DateMappingType type)`
  Parses the date mapping type.
  `static DateMappingType`
  `parseDateMappingType​(String type)`
  Parses the date mapping type.
  `static String`
  `parseDelimiterShape​(DelimiterShape shape)`
  Parses the delimiter shape.
  `static DelimiterShape`
  `parseDelimiterShape​(String shape)`
  Parses the delimiter shape.
  `static String`
  `parseDisplacedByCustomXml​(DisplacedByCustomXml displaced)`
  Parses the displaced by custom xml.
  `static DisplacedByCustomXml`
  `parseDisplacedByCustomXml​(String displaced)`
  Parses the displaced by custom xml.
  `static String`
  `parseDocumentGridType​(DocumentGridType type)`
  Parses the document grid type.
  `static DocumentGridType`
  `parseDocumentGridType​(String type)`
  Parses the document grid type.
  `static String`
  `parseDocumentProtectionType​(DocumentProtectionType type)`
  Parses the document protection type.
  `static DocumentProtectionType`
  `parseDocumentProtectionType​(String type)`
  Parses the document protection type.
  `static String`
  `parseDocumentType​(DocumentType type)`
  Parses the document type.
  `static DocumentType`
  `parseDocumentType​(String type)`
  Parses the document type.
  `static String`
  `parseDocumentView​(DocumentView view)`
  Parses the document view.
  `static DocumentView`
  `parseDocumentView​(String view)`
  Parses the document view.
  `static String`
  `parseDropCap​(DropCap drop)`
  Parses the drop cap.
  `static DropCap`
  `parseDropCap​(String drop)`
  Parses the drop cap.
  `static String`
  `parseEmphasisMarkType​(EmphasisMarkType type)`
  Parses the emphasis mark type.
  `static EmphasisMarkType`
  `parseEmphasisMarkType​(String type)`
  Parses the emphasis mark type.
  `static String`
  `parseEndnotePositioningLocation​(EndnotePositioningLocation location)`
  Parses the endnote positioning location.
  `static EndnotePositioningLocation`
  `parseEndnotePositioningLocation​(String location)`
  Parses the endnote positioning location.
  `static String`
  `parseFontFamily​(FontFamily family)`
  Parses the font family.
  `static FontFamily`
  `parseFontFamily​(String family)`
  Parses the font family.
  `static String`
  `parseFontTypeHint​(FontTypeHint font)`
  Parses the font type hint.
  `static FontTypeHint`
  `parseFontTypeHint​(String font)`
  Parses the font type hint.
  `static String`
  `parseFootnoteEndnoteType​(FootnoteEndnoteType type)`
  Parses the footnote endnote type.
  `static FootnoteEndnoteType`
  `parseFootnoteEndnoteType​(String type)`
  Parses the footnote endnote type.
  `static String`
  `parseFootnotePositioningLocation​(FootnotePositioningLocation location)`
  Parses the footnote positioning location.
  `static FootnotePositioningLocation`
  `parseFootnotePositioningLocation​(String location)`
  Parses the footnote positioning location.
  `static String`
  `parseFractionType​(FractionType type)`
  Parses the fraction type.
  `static FractionType`
  `parseFractionType​(String type)`
  Parses the fraction type.
  `static String`
  `parseFrameWrap​(FrameWrap wrap)`
  Parses the frame wrap.
  `static FrameWrap`
  `parseFrameWrap​(String wrap)`
  Parses the frame wrap.
  `static String`
  `parseGlossaryDocumentEntryType​(GlossaryDocumentEntryType type)`
  Parses the glossary document entry type.
  `static GlossaryDocumentEntryType`
  `parseGlossaryDocumentEntryType​(String type)`
  Parses the glossary document entry type.
  `static String`
  `parseGlossaryDocumentGalleryType​(GlossaryDocumentGalleryType type)`
  Parses the glossary document gallery type.
  `static GlossaryDocumentGalleryType`
  `parseGlossaryDocumentGalleryType​(String type)`
  Parses the glossary document gallery type.
  `static String`
  `parseHeaderFooterType​(HeaderFooterType type)`
  Parses the header footer type.
  `static HeaderFooterType`
  `parseHeaderFooterType​(String type)`
  Parses the header footer type.
  `static String`
  `parseHeightRule​(HeightRule rule)`
  Parses the height rule.
  `static HeightRule`
  `parseHeightRule​(String rule)`
  Parses the height rule.
  `static String`
  `parseHighlightColor​(HighlightColor color)`
  Parses the highlight color.
  `static HighlightColor`
  `parseHighlightColor​(String color)`
  Parses the highlight color.
  `static String`
  `parseHorizontalAlignmentLocation​(HorizontalAlignmentLocation alignment)`
  Parses the horizontal alignment location.
  `static HorizontalAlignmentLocation`
  `parseHorizontalAlignmentLocation​(String alignment)`
  Parses the horizontal alignment location.
  `static String`
  `parseHorizontalAlignmentType​(HorizontalAlignmentType type)`
  Parses the horizontal alignment type.
  `static HorizontalAlignmentType`
  `parseHorizontalAlignmentType​(String type)`
  Parses the horizontal alignment type.
  `static String`
  `parseHorizontalJustification​(HorizontalJustification justification)`
  Parses the horizontal justification.
  `static HorizontalJustification`
  `parseHorizontalJustification​(String justification)`
  Parses the horizontal justification.
  `static String`
  `parseHorizontalRelativePositioning​(HorizontalRelativePositioning positioning)`
  Parses the horizontal relative positioning.
  `static HorizontalRelativePositioning`
  `parseHorizontalRelativePositioning​(String positioning)`
  Parses the horizontal relative positioning.
  `static String`
  `parseInfoTextType​(InfoTextType type)`
  Parses the info text type.
  `static InfoTextType`
  `parseInfoTextType​(String type)`
  Parses the info text type.
  `static String`
  `parseInsertionBehavior​(InsertionBehavior type)`
  Parses the insertion behavior.
  `static InsertionBehavior`
  `parseInsertionBehavior​(String type)`
  Parses the insertion behavior.
  `static String`
  `parseJustification​(Justification justification)`
  Parses the justification.
  `static Justification`
  `parseJustification​(String justification)`
  Parses the justification.
  `static String`
  `parseLimitLocation​(LimitLocation location)`
  Parses the limit location.
  `static LimitLocation`
  `parseLimitLocation​(String location)`
  Parses the limit location.
  `static String`
  `parseLineNumberRestart​(LineNumberRestart restart)`
  Parses the line number restart.
  `static LineNumberRestart`
  `parseLineNumberRestart​(String restart)`
  Parses the line number restart.
  `static String`
  `parseLineSpacingRule​(LineSpacingRule rule)`
  Parses the line spacing rule.
  `static LineSpacingRule`
  `parseLineSpacingRule​(String rule)`
  Parses the line spacing rule.
  `static String`
  `parseLockingType​(LockingType type)`
  Parses the locking type.
  `static LockingType`
  `parseLockingType​(String type)`
  Parses the locking type.
  `static String`
  `parseMailMergeDocumentType​(MailMergeDocumentType type)`
  Parses the mail merge document type.
  `static MailMergeDocumentType`
  `parseMailMergeDocumentType​(String type)`
  Parses the mail merge document type.
  `static String`
  `parseMailMergeSourceType​(MailMergeSourceType type)`
  Parses the mail merge source type.
  `static MailMergeSourceType`
  `parseMailMergeSourceType​(String type)`
  Parses the mail merge source type.
  `static String`
  `parseMathStyle​(MathStyle style)`
  Parses the math style.
  `static MathStyle`
  `parseMathStyle​(String style)`
  Parses the math style.
  `static String`
  `parseMergeCellType​(MergeCellType type)`
  Parses the merge cell type.
  `static MergeCellType`
  `parseMergeCellType​(String type)`
  Parses the merge cell type.
  `static String`
  `parseMergeFieldMappingType​(MergeFieldMappingType type)`
  Parses the merge field mapping type.
  `static MergeFieldMappingType`
  `parseMergeFieldMappingType​(String type)`
  Parses the merge field mapping type.
  `static String`
  `parseMultiLevelType​(MultiLevelType level)`
  Parses the multi level type.
  `static MultiLevelType`
  `parseMultiLevelType​(String level)`
  Parses the multi level type.
  `static String`
  `parseNumberingFormat​(NumberingFormat format)`
  Parses the numbering format.
  `static NumberingFormat`
  `parseNumberingFormat​(String format)`
  Parses the numbering format.
  `static String`
  `parsePageBorderDisplayType​(PageBorderDisplayType type)`
  Parses the page border display type.
  `static PageBorderDisplayType`
  `parsePageBorderDisplayType​(String type)`
  Parses the page border display type.
  `static String`
  `parsePageBorderOffset​(PageBorderOffset offset)`
  Parses the page border offset.
  `static PageBorderOffset`
  `parsePageBorderOffset​(String offset)`
  Parses the page border offset.
  `static String`
  `parsePageBorderZOrder​(PageBorderZOrder order)`
  Parses the page border z order.
  `static PageBorderZOrder`
  `parsePageBorderZOrder​(String order)`
  Parses the page border z order.
  `static String`
  `parsePageOrientation​(PageOrientation orientation)`
  Parses the page orientation.
  `static PageOrientation`
  `parsePageOrientation​(String orientation)`
  Parses the page orientation.
  `static String`
  `parsePitch​(Pitch pitch)`
  Parses the pitch.
  `static Pitch`
  `parsePitch​(String pitch)`
  Parses the pitch.
  `static String`
  `parseProofingErrorType​(ProofingErrorType type)`
  Parses the proofing error type.
  `static ProofingErrorType`
  `parseProofingErrorType​(String type)`
  Parses the proofing error type.
  `static String`
  `parseProofStateType​(ProofStateType type)`
  Parses the proof state type.
  `static ProofStateType`
  `parseProofStateType​(String type)`
  Parses the proof state type.
  `static String`
  `parseRangePermisionEditingGroup​(RangePermisionEditingGroup group)`
  Parses the range permision editing group.
  `static RangePermisionEditingGroup`
  `parseRangePermisionEditingGroup​(String group)`
  Parses the range permision editing group.
  `static String`
  `parseRelativeHorizontalAlignment​(RelativeHorizontalAlignment alignment)`
  Parses the relative horizontal alignment.
  `static RelativeHorizontalAlignment`
  `parseRelativeHorizontalAlignment​(String alignment)`
  Parses the relative horizontal alignment.
  `static String`
  `parseRelativeVerticalAlignment​(RelativeVerticalAlignment alignment)`
  Parses the relative vertical alignment.
  `static RelativeVerticalAlignment`
  `parseRelativeVerticalAlignment​(String alignment)`
  Parses the relative vertical alignment.
  `static String`
  `parseRestartNumber​(RestartNumber restart)`
  Parses the restart number.
  `static RestartNumber`
  `parseRestartNumber​(String restart)`
  Parses the restart number.
  `static String`
  `parseScreenSize​(ScreenSize size)`
  Parses the screen size.
  `static ScreenSize`
  `parseScreenSize​(String size)`
  Parses the screen size.
  `static String`
  `parseScript​(Script script)`
  Parses the script.
  `static Script`
  `parseScript​(String script)`
  Parses the script.
  `static String`
  `parseSectionType​(SectionType type)`
  Parses the section type.
  `static SectionType`
  `parseSectionType​(String type)`
  Parses the section type.
  `static String`
  `parseShadingPattern​(ShadingPattern pattern)`
  Parses the shading pattern.
  `static ShadingPattern`
  `parseShadingPattern​(String pattern)`
  Parses the shading pattern.
  `static String`
  `parseSpacingRule​(SpacingRule rule)`
  Parses the spacing rule.
  `static SpacingRule`
  `parseSpacingRule​(String rule)`
  Parses the spacing rule.
  `static String`
  `parseStandardBorderStyle​(StandardBorderStyle style)`
  Parses the standard border style.
  `static StandardBorderStyle`
  `parseStandardBorderStyle​(String style)`
  Parses the standard border style.
  `static String`
  `parseStyleType​(StyleType type)`
  Parses the style type.
  `static StyleType`
  `parseStyleType​(String type)`
  Parses the style type.
  `static String`
  `parseTabLeaderCharacter​(TabLeaderCharacter leader)`
  Parses the tab leader character.
  `static TabLeaderCharacter`
  `parseTabLeaderCharacter​(String leader)`
  Parses the tab leader character.
  `static String`
  `parseTableLayout​(TableLayout layout)`
  Parses the table layout.
  `static TableLayout`
  `parseTableLayout​(String layout)`
  Parses the table layout.
  `static String`
  `parseTableOverlap​(TableOverlap overlap)`
  Parses the table overlap.
  `static TableOverlap`
  `parseTableOverlap​(String overlap)`
  Parses the table overlap.
  `static String`
  `parseTableStyleConditionalFormattingType​(TableStyleConditionalFormattingType type)`
  Parses the table style conditional formatting type.
  `static TableStyleConditionalFormattingType`
  `parseTableStyleConditionalFormattingType​(String type)`
  Parses the table style conditional formatting type.
  `static String`
  `parseTableWidthUnit​(TableWidthUnit unit)`
  Parses the table width unit.
  `static TableWidthUnit`
  `parseTableWidthUnit​(String unit)`
  Parses the table width unit.
  `static String`
  `parseTabType​(TabType type)`
  Parses the tab type.
  `static TabType`
  `parseTabType​(String type)`
  Parses the tab type.
  `static String`
  `parseTextBoxFormFieldType​(TextBoxFormFieldType type)`
  Parses the text box form field type.
  `static TextBoxFormFieldType`
  `parseTextBoxFormFieldType​(String type)`
  Parses the text box form field type.
  `static String`
  `parseTextboxTightWrap​(TextboxTightWrap wrap)`
  Parses the textbox tight wrap.
  `static TextboxTightWrap`
  `parseTextboxTightWrap​(String wrap)`
  Parses the textbox tight wrap.
  `static String`
  `parseTextCombinationType​(TextCombinationType type)`
  Parses the text combination type.
  `static TextCombinationType`
  `parseTextCombinationType​(String type)`
  Parses the text combination type.
  `static String`
  `parseTextDirection​(TextDirection direction)`
  Parses the text direction.
  `static TextDirection`
  `parseTextDirection​(String direction)`
  Parses the text direction.
  `static String`
  `parseTextEffect​(TextEffect effect)`
  Parses the text effect.
  `static TextEffect`
  `parseTextEffect​(String effect)`
  Parses the text effect.
  `static String`
  `parseThemeColor​(ThemeColor color)`
  Parses the theme color.
  `static ThemeColor`
  `parseThemeColor​(String color)`
  Parses the theme color.
  `static String`
  `parseThemeColorReference​(ThemeColorReference color)`
  Parses the theme color reference.
  `static ThemeColorReference`
  `parseThemeColorReference​(String color)`
  Parses the theme color reference.
  `static String`
  `parseThemeFont​(ThemeFont font)`
  Parses the theme font.
  `static ThemeFont`
  `parseThemeFont​(String font)`
  Parses the theme font.
  `static String`
  `parseTopBottomAlignment​(TopBottomAlignment alignment)`
  Parses the top bottom alignment.
  `static TopBottomAlignment`
  `parseTopBottomAlignment​(String alignment)`
  Parses the top bottom alignment.
  `static String`
  `parseUnderlinePattern​(UnderlinePattern pattern)`
  Parses the underline pattern.
  `static UnderlinePattern`
  `parseUnderlinePattern​(String pattern)`
  Parses the underline pattern.
  `static String`
  `parseVerticalAlignment​(VerticalAlignment alignment)`
  Parses the vertical alignment.
  `static VerticalAlignment`
  `parseVerticalAlignment​(String alignment)`
  Parses the vertical alignment.
  `static String`
  `parseVerticalAlignmentLocation​(VerticalAlignmentLocation alignment)`
  Parses the vertical alignment location.
  `static VerticalAlignmentLocation`
  `parseVerticalAlignmentLocation​(String alignment)`
  Parses the vertical alignment location.
  `static String`
  `parseVerticalAlignmentType​(VerticalAlignmentType type)`
  Parses the vertical alignment type.
  `static VerticalAlignmentType`
  `parseVerticalAlignmentType​(String type)`
  Parses the vertical alignment type.
  `static String`
  `parseVerticalJustification​(VerticalJustification justification)`
  Parses the vertical justification.
  `static VerticalJustification`
  `parseVerticalJustification​(String justification)`
  Parses the vertical justification.
  `static String`
  `parseVerticalMergeRevisionType​(VerticalMergeRevisionType type)`
  Parses the vertical merge revision type.
  `static VerticalMergeRevisionType`
  `parseVerticalMergeRevisionType​(String type)`
  Parses the vertical merge revision type.
  `static String`
  `parseVerticalRelativePositioning​(VerticalRelativePositioning positioning)`
  Parses the vertical relative positioning.
  `static VerticalRelativePositioning`
  `parseVerticalRelativePositioning​(String positioning)`
  Parses the vertical relative positioning.
  `static String`
  `parseVerticalTextAlignment​(VerticalTextAlignment alignment)`
  Parses the vertical text alignment.
  `static VerticalTextAlignment`
  `parseVerticalTextAlignment​(String alignment)`
  Parses the vertical text alignment.
  `static String`
  `parseWrapText​(WrapText text)`
  Parses the wrap text.
  `static WrapText`
  `parseWrapText​(String text)`
  Parses the wrap text.
  `static String`
  `parseZoomType​(ZoomType type)`
  Parses the zoom type.
  `static ZoomType`
  `parseZoomType​(String type)`
  Parses the zoom type.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### parseBoolean

    public static boolean parseBoolean​(String booleanString)
    Parses the boolean.
    Parameters:
      `booleanString` - the boolean string
    Returns:
      true, if successful

  - ### parseRelativeVerticalAlignment

    public static RelativeVerticalAlignment parseRelativeVerticalAlignment​(String alignment)
    Parses the relative vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the relative vertical alignment

  - ### parseRelativeVerticalAlignment

    public static String parseRelativeVerticalAlignment​(RelativeVerticalAlignment alignment)
    Parses the relative vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseRelativeHorizontalAlignment

    public static RelativeHorizontalAlignment parseRelativeHorizontalAlignment​(String alignment)
    Parses the relative horizontal alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the relative horizontal alignment

  - ### parseRelativeHorizontalAlignment

    public static String parseRelativeHorizontalAlignment​(RelativeHorizontalAlignment alignment)
    Parses the relative horizontal alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseVerticalRelativePositioning

    public static VerticalRelativePositioning parseVerticalRelativePositioning​(String positioning)
    Parses the vertical relative positioning.
    Parameters:
      `positioning` - the positioning
    Returns:
      the vertical relative positioning

  - ### parseVerticalRelativePositioning

    public static String parseVerticalRelativePositioning​(VerticalRelativePositioning positioning)
    Parses the vertical relative positioning.
    Parameters:
      `positioning` - the positioning
    Returns:
      the string

  - ### parseHorizontalRelativePositioning

    public static HorizontalRelativePositioning parseHorizontalRelativePositioning​(String positioning)
    Parses the horizontal relative positioning.
    Parameters:
      `positioning` - the positioning
    Returns:
      the horizontal relative positioning

  - ### parseHorizontalRelativePositioning

    public static String parseHorizontalRelativePositioning​(HorizontalRelativePositioning positioning)
    Parses the horizontal relative positioning.
    Parameters:
      `positioning` - the positioning
    Returns:
      the string

  - ### parseWrapText

    public static WrapText parseWrapText​(String text)
    Parses the wrap text.
    Parameters:
      `text` - the text
    Returns:
      the wrap text

  - ### parseWrapText

    public static String parseWrapText​(WrapText text)
    Parses the wrap text.
    Parameters:
      `text` - the text
    Returns:
      the string

  - ### parseHorizontalAlignmentType

    public static HorizontalAlignmentType parseHorizontalAlignmentType​(String type)
    Parses the horizontal alignment type.
    Parameters:
      `type` - the type
    Returns:
      the horizontal alignment type

  - ### parseHorizontalAlignmentType

    public static String parseHorizontalAlignmentType​(HorizontalAlignmentType type)
    Parses the horizontal alignment type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseShadingPattern

    public static String parseShadingPattern​(ShadingPattern pattern)
    Parses the shading pattern.
    Parameters:
      `pattern` - the pattern
    Returns:
      the string

  - ### parseShadingPattern

    public static ShadingPattern parseShadingPattern​(String pattern)
    Parses the shading pattern.
    Parameters:
      `pattern` - the pattern
    Returns:
      the shading pattern

  - ### parseTextDirection

    public static String parseTextDirection​(TextDirection direction)
    Parses the text direction.
    Parameters:
      `direction` - the direction
    Returns:
      the string

  - ### parseTextDirection

    public static TextDirection parseTextDirection​(String direction)
    Parses the text direction.
    Parameters:
      `direction` - the direction
    Returns:
      the text direction

  - ### parseHorizontalAlignmentLocation

    public static String parseHorizontalAlignmentLocation​(HorizontalAlignmentLocation alignment)
    Parses the horizontal alignment location.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseHorizontalAlignmentLocation

    public static HorizontalAlignmentLocation parseHorizontalAlignmentLocation​(String alignment)
    Parses the horizontal alignment location.
    Parameters:
      `alignment` - the alignment
    Returns:
      the horizontal alignment location

  - ### parseVerticalAlignmentLocation

    public static String parseVerticalAlignmentLocation​(VerticalAlignmentLocation alignment)
    Parses the vertical alignment location.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseVerticalAlignmentLocation

    public static VerticalAlignmentLocation parseVerticalAlignmentLocation​(String alignment)
    Parses the vertical alignment location.
    Parameters:
      `alignment` - the alignment
    Returns:
      the vertical alignment location

  - ### parseFrameWrap

    public static FrameWrap parseFrameWrap​(String wrap)
    Parses the frame wrap.
    Parameters:
      `wrap` - the wrap
    Returns:
      the frame wrap

  - ### parseFrameWrap

    public static String parseFrameWrap​(FrameWrap wrap)
    Parses the frame wrap.
    Parameters:
      `wrap` - the wrap
    Returns:
      the string

  - ### parseDocumentType

    public static String parseDocumentType​(DocumentType type)
    Parses the document type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDocumentType

    public static DocumentType parseDocumentType​(String type)
    Parses the document type.
    Parameters:
      `type` - the type
    Returns:
      the document type

  - ### parseLimitLocation

    public static LimitLocation parseLimitLocation​(String location)
    Parses the limit location.
    Parameters:
      `location` - the location
    Returns:
      the limit location

  - ### parseLimitLocation

    public static String parseLimitLocation​(LimitLocation location)
    Parses the limit location.
    Parameters:
      `location` - the location
    Returns:
      the string

  - ### parseBinarySubtractionBreak

    public static BinarySubtractionBreak parseBinarySubtractionBreak​(String subtractionBreak)
    Parses the binary subtraction break.
    Parameters:
      `subtractionBreak` - the subtraction break
    Returns:
      the binary subtraction break

  - ### parseBinarySubtractionBreak

    public static String parseBinarySubtractionBreak​(BinarySubtractionBreak subtractionBreak)
    Parses the binary subtraction break.
    Parameters:
      `subtractionBreak` - the subtraction break
    Returns:
      the string

  - ### parseBinaryOperatorBreak

    public static BinaryOperatorBreak parseBinaryOperatorBreak​(String operatorBreak)
    Parses the binary operator break.
    Parameters:
      `operatorBreak` - the operator break
    Returns:
      the binary operator break

  - ### parseBinaryOperatorBreak

    public static String parseBinaryOperatorBreak​(BinaryOperatorBreak operatorBreak)
    Parses the binary operator break.
    Parameters:
      `operatorBreak` - the operator break
    Returns:
      the string

  - ### parseRangePermisionEditingGroup

    public static RangePermisionEditingGroup parseRangePermisionEditingGroup​(String group)
    Parses the range permision editing group.
    Parameters:
      `group` - the group
    Returns:
      the range permision editing group

  - ### parseRangePermisionEditingGroup

    public static String parseRangePermisionEditingGroup​(RangePermisionEditingGroup group)
    Parses the range permision editing group.
    Parameters:
      `group` - the group
    Returns:
      the string

  - ### parseChapterSeparator

    public static ChapterSeparator parseChapterSeparator​(String separator)
    Parses the chapter separator.
    Parameters:
      `separator` - the separator
    Returns:
      the chapter separator

  - ### parseChapterSeparator

    public static String parseChapterSeparator​(ChapterSeparator separator)
    Parses the chapter separator.
    Parameters:
      `separator` - the separator
    Returns:
      the string

  - ### parseCaptionPosition

    public static CaptionPosition parseCaptionPosition​(String position)
    Parses the caption position.
    Parameters:
      `position` - the position
    Returns:
      the caption position

  - ### parseCaptionPosition

    public static String parseCaptionPosition​(CaptionPosition position)
    Parses the caption position.
    Parameters:
      `position` - the position
    Returns:
      the string

  - ### parseDocumentView

    public static DocumentView parseDocumentView​(String view)
    Parses the document view.
    Parameters:
      `view` - the view
    Returns:
      the document view

  - ### parseDocumentView

    public static String parseDocumentView​(DocumentView view)
    Parses the document view.
    Parameters:
      `view` - the view
    Returns:
      the string

  - ### parseLineSpacingRule

    public static String parseLineSpacingRule​(LineSpacingRule rule)
    Parses the line spacing rule.
    Parameters:
      `rule` - the rule
    Returns:
      the string

  - ### parseLineSpacingRule

    public static LineSpacingRule parseLineSpacingRule​(String rule)
    Parses the line spacing rule.
    Parameters:
      `rule` - the rule
    Returns:
      the line spacing rule

  - ### parseStyleType

    public static StyleType parseStyleType​(String type)
    Parses the style type.
    Parameters:
      `type` - the type
    Returns:
      the style type

  - ### parseStyleType

    public static String parseStyleType​(StyleType type)
    Parses the style type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseHeightRule

    public static String parseHeightRule​(HeightRule rule)
    Parses the height rule.
    Parameters:
      `rule` - the rule
    Returns:
      the string

  - ### parseJustification

    public static Justification parseJustification​(String justification)
    Parses the justification.
    Parameters:
      `justification` - the justification
    Returns:
      the justification

  - ### parseJustification

    public static String parseJustification​(Justification justification)
    Parses the justification.
    Parameters:
      `justification` - the justification
    Returns:
      the string

  - ### parseHeightRule

    public static HeightRule parseHeightRule​(String rule)
    Parses the height rule.
    Parameters:
      `rule` - the rule
    Returns:
      the height rule

  - ### parseLineNumberRestart

    public static LineNumberRestart parseLineNumberRestart​(String restart)
    Parses the line number restart.
    Parameters:
      `restart` - the restart
    Returns:
      the line number restart

  - ### parseLineNumberRestart

    public static String parseLineNumberRestart​(LineNumberRestart restart)
    Parses the line number restart.
    Parameters:
      `restart` - the restart
    Returns:
      the string

  - ### parseAnchorLocation

    public static AnchorLocation parseAnchorLocation​(String anchor)
    Parses the anchor location.
    Parameters:
      `anchor` - the anchor
    Returns:
      the anchor location

  - ### parseAnchorLocation

    public static String parseAnchorLocation​(AnchorLocation anchor)
    Parses the anchor location.
    Parameters:
      `anchor` - the anchor
    Returns:
      the string

  - ### parseDropCap

    public static String parseDropCap​(DropCap drop)
    Parses the drop cap.
    Parameters:
      `drop` - the drop
    Returns:
      the string

  - ### parseDropCap

    public static DropCap parseDropCap​(String drop)
    Parses the drop cap.
    Parameters:
      `drop` - the drop
    Returns:
      the drop cap

  - ### parseHighlightColor

    public static String parseHighlightColor​(HighlightColor color)
    Parses the highlight color.
    Parameters:
      `color` - the color
    Returns:
      the string

  - ### parseHighlightColor

    public static HighlightColor parseHighlightColor​(String color)
    Parses the highlight color.
    Parameters:
      `color` - the color
    Returns:
      the highlight color

  - ### parseThemeFont

    public static String parseThemeFont​(ThemeFont font)
    Parses the theme font.
    Parameters:
      `font` - the font
    Returns:
      the string

  - ### parseThemeFont

    public static ThemeFont parseThemeFont​(String font)
    Parses the theme font.
    Parameters:
      `font` - the font
    Returns:
      the theme font

  - ### parseFractionType

    public static FractionType parseFractionType​(String type)
    Parses the fraction type.
    Parameters:
      `type` - the type
    Returns:
      the fraction type

  - ### parseFractionType

    public static String parseFractionType​(FractionType type)
    Parses the fraction type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseScript

    public static Script parseScript​(String script)
    Parses the script.
    Parameters:
      `script` - the script
    Returns:
      the script

  - ### parseScript

    public static String parseScript​(Script script)
    Parses the script.
    Parameters:
      `script` - the script
    Returns:
      the string

  - ### parseSpacingRule

    public static SpacingRule parseSpacingRule​(String rule)
    Parses the spacing rule.
    Parameters:
      `rule` - the rule
    Returns:
      the spacing rule

  - ### parseSpacingRule

    public static String parseSpacingRule​(SpacingRule rule)
    Parses the spacing rule.
    Parameters:
      `rule` - the rule
    Returns:
      the string

  - ### parseHorizontalJustification

    public static HorizontalJustification parseHorizontalJustification​(String justification)
    Parses the horizontal justification.
    Parameters:
      `justification` - the justification
    Returns:
      the horizontal justification

  - ### parseHorizontalJustification

    public static String parseHorizontalJustification​(HorizontalJustification justification)
    Parses the horizontal justification.
    Parameters:
      `justification` - the justification
    Returns:
      the string

  - ### parseVerticalJustification

    public static VerticalJustification parseVerticalJustification​(String justification)
    Parses the vertical justification.
    Parameters:
      `justification` - the justification
    Returns:
      the vertical justification

  - ### parseVerticalJustification

    public static String parseVerticalJustification​(VerticalJustification justification)
    Parses the vertical justification.
    Parameters:
      `justification` - the justification
    Returns:
      the string

  - ### parseDelimiterShape

    public static DelimiterShape parseDelimiterShape​(String shape)
    Parses the delimiter shape.
    Parameters:
      `shape` - the shape
    Returns:
      the delimiter shape

  - ### parseDelimiterShape

    public static String parseDelimiterShape​(DelimiterShape shape)
    Parses the delimiter shape.
    Parameters:
      `shape` - the shape
    Returns:
      the string

  - ### parseFontTypeHint

    public static FontTypeHint parseFontTypeHint​(String font)
    Parses the font type hint.
    Parameters:
      `font` - the font
    Returns:
      the font type hint

  - ### parseFontTypeHint

    public static String parseFontTypeHint​(FontTypeHint font)
    Parses the font type hint.
    Parameters:
      `font` - the font
    Returns:
      the string

  - ### parseEmphasisMarkType

    public static String parseEmphasisMarkType​(EmphasisMarkType type)
    Parses the emphasis mark type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseEmphasisMarkType

    public static EmphasisMarkType parseEmphasisMarkType​(String type)
    Parses the emphasis mark type.
    Parameters:
      `type` - the type
    Returns:
      the emphasis mark type

  - ### parseInfoTextType

    public static InfoTextType parseInfoTextType​(String type)
    Parses the info text type.
    Parameters:
      `type` - the type
    Returns:
      the info text type

  - ### parseInfoTextType

    public static String parseInfoTextType​(InfoTextType type)
    Parses the info text type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDocumentGridType

    public static DocumentGridType parseDocumentGridType​(String type)
    Parses the document grid type.
    Parameters:
      `type` - the type
    Returns:
      the document grid type

  - ### parseDocumentGridType

    public static String parseDocumentGridType​(DocumentGridType type)
    Parses the document grid type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTextEffect

    public static String parseTextEffect​(TextEffect effect)
    Parses the text effect.
    Parameters:
      `effect` - the effect
    Returns:
      the string

  - ### parseTextEffect

    public static TextEffect parseTextEffect​(String effect)
    Parses the text effect.
    Parameters:
      `effect` - the effect
    Returns:
      the text effect

  - ### parseCombineBrackets

    public static String parseCombineBrackets​(CombineBrackets combine)
    Parses the combine brackets.
    Parameters:
      `combine` - the combine
    Returns:
      the string

  - ### parseCombineBrackets

    public static CombineBrackets parseCombineBrackets​(String combine)
    Parses the combine brackets.
    Parameters:
      `combine` - the combine
    Returns:
      the combine brackets

  - ### parseRestartNumber

    public static RestartNumber parseRestartNumber​(String restart)
    Parses the restart number.
    Parameters:
      `restart` - the restart
    Returns:
      the restart number

  - ### parseRestartNumber

    public static String parseRestartNumber​(RestartNumber restart)
    Parses the restart number.
    Parameters:
      `restart` - the restart
    Returns:
      the string

  - ### parseTextCombinationType

    public static String parseTextCombinationType​(TextCombinationType type)
    Parses the text combination type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTextCombinationType

    public static TextCombinationType parseTextCombinationType​(String type)
    Parses the text combination type.
    Parameters:
      `type` - the type
    Returns:
      the text combination type

  - ### parseZoomType

    public static ZoomType parseZoomType​(String type)
    Parses the zoom type.
    Parameters:
      `type` - the type
    Returns:
      the zoom type

  - ### parseZoomType

    public static String parseZoomType​(ZoomType type)
    Parses the zoom type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDocumentProtectionType

    public static DocumentProtectionType parseDocumentProtectionType​(String type)
    Parses the document protection type.
    Parameters:
      `type` - the type
    Returns:
      the document protection type

  - ### parseDocumentProtectionType

    public static String parseDocumentProtectionType​(DocumentProtectionType type)
    Parses the document protection type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCryptographicProviderType

    public static CryptographicProviderType parseCryptographicProviderType​(String type)
    Parses the cryptographic provider type.
    Parameters:
      `type` - the type
    Returns:
      the cryptographic provider type

  - ### parseCryptographicProviderType

    public static String parseCryptographicProviderType​(CryptographicProviderType type)
    Parses the cryptographic provider type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCryptographicAlgorithmType

    public static CryptographicAlgorithmType parseCryptographicAlgorithmType​(String type)
    Parses the cryptographic algorithm type.
    Parameters:
      `type` - the type
    Returns:
      the cryptographic algorithm type

  - ### parseCryptographicAlgorithmType

    public static String parseCryptographicAlgorithmType​(CryptographicAlgorithmType type)
    Parses the cryptographic algorithm type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCryptographicAlgorithmClass

    public static CryptographicAlgorithmClass parseCryptographicAlgorithmClass​(String algorithmClass)
    Parses the cryptographic algorithm class.
    Parameters:
      `algorithmClass` - the algorithm class
    Returns:
      the cryptographic algorithm class

  - ### parseCryptographicAlgorithmClass

    public static String parseCryptographicAlgorithmClass​(CryptographicAlgorithmClass algorithmClass)
    Parses the cryptographic algorithm class.
    Parameters:
      `algorithmClass` - the algorithm class
    Returns:
      the string

  - ### parseThemeColorReference

    public static ThemeColorReference parseThemeColorReference​(String color)
    Parses the theme color reference.
    Parameters:
      `color` - the color
    Returns:
      the theme color reference

  - ### parseThemeColorReference

    public static String parseThemeColorReference​(ThemeColorReference color)
    Parses the theme color reference.
    Parameters:
      `color` - the color
    Returns:
      the string

  - ### parseThemeColor

    public static ThemeColor parseThemeColor​(String color)
    Parses the theme color.
    Parameters:
      `color` - the color
    Returns:
      the theme color

  - ### parseThemeColor

    public static String parseThemeColor​(ThemeColor color)
    Parses the theme color.
    Parameters:
      `color` - the color
    Returns:
      the string

  - ### parseBreakClear

    public static String parseBreakClear​(BreakClear clear)
    Parses the break clear.
    Parameters:
      `clear` - the clear
    Returns:
      the string

  - ### parseBreakClear

    public static BreakClear parseBreakClear​(String clear)
    Parses the break clear.
    Parameters:
      `clear` - the clear
    Returns:
      the break clear

  - ### parseBreakType

    public static String parseBreakType​(BreakType type)
    Parses the break type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseBreakType

    public static BreakType parseBreakType​(String type)
    Parses the break type.
    Parameters:
      `type` - the type
    Returns:
      the break type

  - ### parseEndnotePositioningLocation

    public static EndnotePositioningLocation parseEndnotePositioningLocation​(String location)
    Parses the endnote positioning location.
    Parameters:
      `location` - the location
    Returns:
      the endnote positioning location

  - ### parseEndnotePositioningLocation

    public static String parseEndnotePositioningLocation​(EndnotePositioningLocation location)
    Parses the endnote positioning location.
    Parameters:
      `location` - the location
    Returns:
      the string

  - ### parseMergeFieldMappingType

    public static MergeFieldMappingType parseMergeFieldMappingType​(String type)
    Parses the merge field mapping type.
    Parameters:
      `type` - the type
    Returns:
      the merge field mapping type

  - ### parseMergeFieldMappingType

    public static String parseMergeFieldMappingType​(MergeFieldMappingType type)
    Parses the merge field mapping type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseMailMergeDocumentType

    public static MailMergeDocumentType parseMailMergeDocumentType​(String type)
    Parses the mail merge document type.
    Parameters:
      `type` - the type
    Returns:
      the mail merge document type

  - ### parseMailMergeDocumentType

    public static String parseMailMergeDocumentType​(MailMergeDocumentType type)
    Parses the mail merge document type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseLockingType

    public static LockingType parseLockingType​(String type)
    Parses the locking type.
    Parameters:
      `type` - the type
    Returns:
      the locking type

  - ### parseLockingType

    public static String parseLockingType​(LockingType type)
    Parses the locking type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseCalendarType

    public static CalendarType parseCalendarType​(String type)
    Parses the calendar type.
    Parameters:
      `type` - the type
    Returns:
      the calendar type

  - ### parseCalendarType

    public static String parseCalendarType​(CalendarType type)
    Parses the calendar type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parsePitch

    public static Pitch parsePitch​(String pitch)
    Parses the pitch.
    Parameters:
      `pitch` - the pitch
    Returns:
      the pitch

  - ### parsePitch

    public static String parsePitch​(Pitch pitch)
    Parses the pitch.
    Parameters:
      `pitch` - the pitch
    Returns:
      the string

  - ### parseAbsolutePositionTabAlignment

    public static String parseAbsolutePositionTabAlignment​(AbsolutePositionTabAlignment alignment)
    Parses the absolute position tab alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseAbsolutePositionTabAlignment

    public static AbsolutePositionTabAlignment parseAbsolutePositionTabAlignment​(String alignment)
    Parses the absolute position tab alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the absolute position tab alignment

  - ### parseAbsolutePositionTabLeader

    public static AbsolutePositionTabLeader parseAbsolutePositionTabLeader​(String leader)
    Parses the absolute position tab leader.
    Parameters:
      `leader` - the leader
    Returns:
      the absolute position tab leader

  - ### parseAbsolutePositionTabLeader

    public static String parseAbsolutePositionTabLeader​(AbsolutePositionTabLeader leader)
    Parses the absolute position tab leader.
    Parameters:
      `leader` - the leader
    Returns:
      the string

  - ### parseAbsolutePositionTabPositioningBase

    public static String parseAbsolutePositionTabPositioningBase​(AbsolutePositionTabPositioningBase relativeTo)
    Parses the absolute position tab positioning base.
    Parameters:
      `relativeTo` - the relative to
    Returns:
      the string

  - ### parseAbsolutePositionTabPositioningBase

    public static AbsolutePositionTabPositioningBase parseAbsolutePositionTabPositioningBase​(String relativeTo)
    Parses the absolute position tab positioning base.
    Parameters:
      `relativeTo` - the relative to
    Returns:
      the absolute position tab positioning base

  - ### parseTabLeaderCharacter

    public static String parseTabLeaderCharacter​(TabLeaderCharacter leader)
    Parses the tab leader character.
    Parameters:
      `leader` - the leader
    Returns:
      the string

  - ### parseTabLeaderCharacter

    public static TabLeaderCharacter parseTabLeaderCharacter​(String leader)
    Parses the tab leader character.
    Parameters:
      `leader` - the leader
    Returns:
      the tab leader character

  - ### parseTabType

    public static String parseTabType​(TabType type)
    Parses the tab type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTabType

    public static TabType parseTabType​(String type)
    Parses the tab type.
    Parameters:
      `type` - the type
    Returns:
      the tab type

  - ### parseMailMergeSourceType

    public static MailMergeSourceType parseMailMergeSourceType​(String type)
    Parses the mail merge source type.
    Parameters:
      `type` - the type
    Returns:
      the mail merge source type

  - ### parseMailMergeSourceType

    public static String parseMailMergeSourceType​(MailMergeSourceType type)
    Parses the mail merge source type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseStandardBorderStyle

    public static StandardBorderStyle parseStandardBorderStyle​(String style)
    Parses the standard border style.
    Parameters:
      `style` - the style
    Returns:
      the standard border style

  - ### parseStandardBorderStyle

    public static String parseStandardBorderStyle​(StandardBorderStyle style)
    Parses the standard border style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseUnderlinePattern

    public static UnderlinePattern parseUnderlinePattern​(String pattern)
    Parses the underline pattern.
    Parameters:
      `pattern` - the pattern
    Returns:
      the underline pattern

  - ### parseUnderlinePattern

    public static String parseUnderlinePattern​(UnderlinePattern pattern)
    Parses the underline pattern.
    Parameters:
      `pattern` - the pattern
    Returns:
      the string

  - ### parseVerticalAlignment

    public static VerticalAlignment parseVerticalAlignment​(String alignment)
    Parses the vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the vertical alignment

  - ### parseVerticalAlignment

    public static String parseVerticalAlignment​(VerticalAlignment alignment)
    Parses the vertical alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseCharacterSpacing

    public static String parseCharacterSpacing​(CharacterSpacing spacing)
    Parses the character spacing.
    Parameters:
      `spacing` - the spacing
    Returns:
      the string

  - ### parseCharacterSpacing

    public static CharacterSpacing parseCharacterSpacing​(String spacing)
    Parses the character spacing.
    Parameters:
      `spacing` - the spacing
    Returns:
      the character spacing

  - ### parseTextboxTightWrap

    public static String parseTextboxTightWrap​(TextboxTightWrap wrap)
    Parses the textbox tight wrap.
    Parameters:
      `wrap` - the wrap
    Returns:
      the string

  - ### parseTextboxTightWrap

    public static TextboxTightWrap parseTextboxTightWrap​(String wrap)
    Parses the textbox tight wrap.
    Parameters:
      `wrap` - the wrap
    Returns:
      the textbox tight wrap

  - ### parseFontFamily

    public static FontFamily parseFontFamily​(String family)
    Parses the font family.
    Parameters:
      `family` - the family
    Returns:
      the font family

  - ### parseFontFamily

    public static String parseFontFamily​(FontFamily family)
    Parses the font family.
    Parameters:
      `family` - the family
    Returns:
      the string

  - ### parseVerticalTextAlignment

    public static VerticalTextAlignment parseVerticalTextAlignment​(String alignment)
    Parses the vertical text alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the vertical text alignment

  - ### parseVerticalTextAlignment

    public static String parseVerticalTextAlignment​(VerticalTextAlignment alignment)
    Parses the vertical text alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseTableWidthUnit

    public static String parseTableWidthUnit​(TableWidthUnit unit)
    Parses the table width unit.
    Parameters:
      `unit` - the unit
    Returns:
      the string

  - ### parseTableWidthUnit

    public static TableWidthUnit parseTableWidthUnit​(String unit)
    Parses the table width unit.
    Parameters:
      `unit` - the unit
    Returns:
      the table width unit

  - ### parseDisplacedByCustomXml

    public static DisplacedByCustomXml parseDisplacedByCustomXml​(String displaced)
    Parses the displaced by custom xml.
    Parameters:
      `displaced` - the displaced
    Returns:
      the displaced by custom xml

  - ### parseDisplacedByCustomXml

    public static String parseDisplacedByCustomXml​(DisplacedByCustomXml displaced)
    Parses the displaced by custom xml.
    Parameters:
      `displaced` - the displaced
    Returns:
      the string

  - ### parseFootnotePositioningLocation

    public static FootnotePositioningLocation parseFootnotePositioningLocation​(String location)
    Parses the footnote positioning location.
    Parameters:
      `location` - the location
    Returns:
      the footnote positioning location

  - ### parseFootnotePositioningLocation

    public static String parseFootnotePositioningLocation​(FootnotePositioningLocation location)
    Parses the footnote positioning location.
    Parameters:
      `location` - the location
    Returns:
      the string

  - ### parseProofingErrorType

    public static ProofingErrorType parseProofingErrorType​(String type)
    Parses the proofing error type.
    Parameters:
      `type` - the type
    Returns:
      the proofing error type

  - ### parseProofingErrorType

    public static String parseProofingErrorType​(ProofingErrorType type)
    Parses the proofing error type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseFootnoteEndnoteType

    public static FootnoteEndnoteType parseFootnoteEndnoteType​(String type)
    Parses the footnote endnote type.
    Parameters:
      `type` - the type
    Returns:
      the footnote endnote type

  - ### parseFootnoteEndnoteType

    public static String parseFootnoteEndnoteType​(FootnoteEndnoteType type)
    Parses the footnote endnote type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseMultiLevelType

    public static MultiLevelType parseMultiLevelType​(String level)
    Parses the multi level type.
    Parameters:
      `level` - the level
    Returns:
      the multi level type

  - ### parseMultiLevelType

    public static String parseMultiLevelType​(MultiLevelType level)
    Parses the multi level type.
    Parameters:
      `level` - the level
    Returns:
      the string

  - ### parseComplexFieldCharacterType

    public static ComplexFieldCharacterType parseComplexFieldCharacterType​(String type)
    Parses the complex field character type.
    Parameters:
      `type` - the type
    Returns:
      the complex field character type

  - ### parseComplexFieldCharacterType

    public static String parseComplexFieldCharacterType​(ComplexFieldCharacterType type)
    Parses the complex field character type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseDateMappingType

    public static DateMappingType parseDateMappingType​(String type)
    Parses the date mapping type.
    Parameters:
      `type` - the type
    Returns:
      the date mapping type

  - ### parseDateMappingType

    public static String parseDateMappingType​(DateMappingType type)
    Parses the date mapping type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTextBoxFormFieldType

    public static TextBoxFormFieldType parseTextBoxFormFieldType​(String type)
    Parses the text box form field type.
    Parameters:
      `type` - the type
    Returns:
      the text box form field type

  - ### parseTextBoxFormFieldType

    public static String parseTextBoxFormFieldType​(TextBoxFormFieldType type)
    Parses the text box form field type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTopBottomAlignment

    public static TopBottomAlignment parseTopBottomAlignment​(String alignment)
    Parses the top bottom alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the top bottom alignment

  - ### parseTopBottomAlignment

    public static String parseTopBottomAlignment​(TopBottomAlignment alignment)
    Parses the top bottom alignment.
    Parameters:
      `alignment` - the alignment
    Returns:
      the string

  - ### parseMergeCellType

    public static MergeCellType parseMergeCellType​(String type)
    Parses the merge cell type.
    Parameters:
      `type` - the type
    Returns:
      the merge cell type

  - ### parseMergeCellType

    public static String parseMergeCellType​(MergeCellType type)
    Parses the merge cell type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTableLayout

    public static String parseTableLayout​(TableLayout layout)
    Parses the table layout.
    Parameters:
      `layout` - the layout
    Returns:
      the string

  - ### parseTableLayout

    public static TableLayout parseTableLayout​(String layout)
    Parses the table layout.
    Parameters:
      `layout` - the layout
    Returns:
      the table layout

  - ### parseTableOverlap

    public static TableOverlap parseTableOverlap​(String overlap)
    Parses the table overlap.
    Parameters:
      `overlap` - the overlap
    Returns:
      the table overlap

  - ### parseTableOverlap

    public static String parseTableOverlap​(TableOverlap overlap)
    Parses the table overlap.
    Parameters:
      `overlap` - the overlap
    Returns:
      the string

  - ### parseHeaderFooterType

    public static String parseHeaderFooterType​(HeaderFooterType type)
    Parses the header footer type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseHeaderFooterType

    public static HeaderFooterType parseHeaderFooterType​(String type)
    Parses the header footer type.
    Parameters:
      `type` - the type
    Returns:
      the header footer type

  - ### parseGlossaryDocumentGalleryType

    public static GlossaryDocumentGalleryType parseGlossaryDocumentGalleryType​(String type)
    Parses the glossary document gallery type.
    Parameters:
      `type` - the type
    Returns:
      the glossary document gallery type

  - ### parseGlossaryDocumentGalleryType

    public static String parseGlossaryDocumentGalleryType​(GlossaryDocumentGalleryType type)
    Parses the glossary document gallery type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseProofStateType

    public static ProofStateType parseProofStateType​(String type)
    Parses the proof state type.
    Parameters:
      `type` - the type
    Returns:
      the proof state type

  - ### parseProofStateType

    public static String parseProofStateType​(ProofStateType type)
    Parses the proof state type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseVerticalMergeRevisionType

    public static VerticalMergeRevisionType parseVerticalMergeRevisionType​(String type)
    Parses the vertical merge revision type.
    Parameters:
      `type` - the type
    Returns:
      the vertical merge revision type

  - ### parseVerticalMergeRevisionType

    public static String parseVerticalMergeRevisionType​(VerticalMergeRevisionType type)
    Parses the vertical merge revision type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseInsertionBehavior

    public static InsertionBehavior parseInsertionBehavior​(String type)
    Parses the insertion behavior.
    Parameters:
      `type` - the type
    Returns:
      the insertion behavior

  - ### parseInsertionBehavior

    public static String parseInsertionBehavior​(InsertionBehavior type)
    Parses the insertion behavior.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseGlossaryDocumentEntryType

    public static GlossaryDocumentEntryType parseGlossaryDocumentEntryType​(String type)
    Parses the glossary document entry type.
    Parameters:
      `type` - the type
    Returns:
      the glossary document entry type

  - ### parseGlossaryDocumentEntryType

    public static String parseGlossaryDocumentEntryType​(GlossaryDocumentEntryType type)
    Parses the glossary document entry type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseVerticalAlignmentType

    public static VerticalAlignmentType parseVerticalAlignmentType​(String type)
    Parses the vertical alignment type.
    Parameters:
      `type` - the type
    Returns:
      the vertical alignment type

  - ### parseVerticalAlignmentType

    public static String parseVerticalAlignmentType​(VerticalAlignmentType type)
    Parses the vertical alignment type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parsePageBorderZOrder

    public static PageBorderZOrder parsePageBorderZOrder​(String order)
    Parses the page border z order.
    Parameters:
      `order` - the order
    Returns:
      the page border z order

  - ### parsePageBorderZOrder

    public static String parsePageBorderZOrder​(PageBorderZOrder order)
    Parses the page border z order.
    Parameters:
      `order` - the order
    Returns:
      the string

  - ### parsePageBorderOffset

    public static PageBorderOffset parsePageBorderOffset​(String offset)
    Parses the page border offset.
    Parameters:
      `offset` - the offset
    Returns:
      the page border offset

  - ### parsePageBorderOffset

    public static String parsePageBorderOffset​(PageBorderOffset offset)
    Parses the page border offset.
    Parameters:
      `offset` - the offset
    Returns:
      the string

  - ### parsePageBorderDisplayType

    public static PageBorderDisplayType parsePageBorderDisplayType​(String type)
    Parses the page border display type.
    Parameters:
      `type` - the type
    Returns:
      the page border display type

  - ### parsePageBorderDisplayType

    public static String parsePageBorderDisplayType​(PageBorderDisplayType type)
    Parses the page border display type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseTableStyleConditionalFormattingType

    public static TableStyleConditionalFormattingType parseTableStyleConditionalFormattingType​(String type)
    Parses the table style conditional formatting type.
    Parameters:
      `type` - the type
    Returns:
      the table style conditional formatting type

  - ### parseTableStyleConditionalFormattingType

    public static String parseTableStyleConditionalFormattingType​(TableStyleConditionalFormattingType type)
    Parses the table style conditional formatting type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseMathStyle

    public static MathStyle parseMathStyle​(String style)
    Parses the math style.
    Parameters:
      `style` - the style
    Returns:
      the math style

  - ### parseMathStyle

    public static String parseMathStyle​(MathStyle style)
    Parses the math style.
    Parameters:
      `style` - the style
    Returns:
      the string

  - ### parseSectionType

    public static SectionType parseSectionType​(String type)
    Parses the section type.
    Parameters:
      `type` - the type
    Returns:
      the section type

  - ### parseSectionType

    public static String parseSectionType​(SectionType type)
    Parses the section type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseScreenSize

    public static String parseScreenSize​(ScreenSize size)
    Parses the screen size.
    Parameters:
      `size` - the size
    Returns:
      the string

  - ### parseScreenSize

    public static ScreenSize parseScreenSize​(String size)
    Parses the screen size.
    Parameters:
      `size` - the size
    Returns:
      the screen size

  - ### parsePageOrientation

    public static String parsePageOrientation​(PageOrientation orientation)
    Parses the page orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the string

  - ### parsePageOrientation

    public static PageOrientation parsePageOrientation​(String orientation)
    Parses the page orientation.
    Parameters:
      `orientation` - the orientation
    Returns:
      the page orientation

  - ### parseChapterSeparatorType

    public static ChapterSeparatorType parseChapterSeparatorType​(String type)
    Parses the chapter separator type.
    Parameters:
      `type` - the type
    Returns:
      the chapter separator type

  - ### parseChapterSeparatorType

    public static String parseChapterSeparatorType​(ChapterSeparatorType type)
    Parses the chapter separator type.
    Parameters:
      `type` - the type
    Returns:
      the string

  - ### parseNumberingFormat

    public static String parseNumberingFormat​(NumberingFormat format)
    Parses the numbering format.
    Parameters:
      `format` - the format
    Returns:
      the string

  - ### parseNumberingFormat

    public static NumberingFormat parseNumberingFormat​(String format)
    Parses the numbering format.
    Parameters:
      `format` - the format
    Returns:
      the numbering format